<template>
  <div class="layout">
    <TheMegamenu />
    <transition name="fade" appear>
      <main :class="container">
        <slot />
      </main>
    </transition>
    <TheFooter />
  </div>
</template>

<script>
import TheFooter from '~/components/TheFooter.vue';
import TheMegamenu from '~/components/TheMegamenu.vue';

export default {
  name: 'DefaultVue',
  components: {
    TheMegamenu,
    TheFooter,
  },
  props: {
    container: {
      default: 'custom-container',
      type: String,
    },
  },
};
</script>
